using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class MineLegs : Legs
    {
        public MineLegs(Vec2f centralPosition, float angle, List<List<Sprite>> sprites) : 
            base(centralPosition, angle, sprites)
        {
        }
    
        protected override void SetParams()
        {
 	        axisLength = 40;
            leftLeg = new MineLegSprite(1);
            rightLeg = new MineLegSprite(1);
            maxAngle = Math.PI/6;
            health = 20;
            maxHealth = 20;
        }
    }
}
